Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class BusinessSeviceWithFPTemplate

    java.lang.Object
      com.tibco.bpm.web.client.model.types.BusinessSeviceWithFPTemplate

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, IBusinessServiceTemplateWithFParams

    public class BusinessSeviceWithFPTemplate

extends java.lang.Object
implements IBusinessServiceTemplateWithFParams, com.google.gwt.user.client.rpc.IsSerializable

Constructor Summary
`BusinessSeviceWithFPTemplate()`
`BusinessSeviceWithFPTemplate(java.lang.String moduleName, java.lang.String processName, java.lang.String version, java.lang.String payloadMode, java.lang.String datafeedPayload, java.util.ArrayList<ParamField> inputFields, java.util.ArrayList<ParamField> outputFields, java.util.ArrayList<ParamField> inOutFields)`
`BusinessSeviceWithFPTemplate(java.lang.String moduleName, java.lang.String processName, java.lang.String version, java.lang.String category, java.lang.String payloadMode, java.lang.String datafeedPayload, java.util.ArrayList<ParamField> inputFields, java.util.ArrayList<ParamField> outputFields, java.util.ArrayList<ParamField> inOutFields)`

Method Summary
`java.lang.String` | `getCategory()` Get the category of the Business Service.
`java.util.ArrayList<ParamField>` | `getInOutFields()`
`java.util.ArrayList<ParamField>` | `getInputFields()`
`java.lang.String` | `getModuleName()` Get the module name for the Business Service.
`java.util.ArrayList<ParamField>` | `getOutputFields()`
`java.lang.String` | `getPayloadMode()`
`java.lang.String` | `getProcessName()` Get the process name for the Business Service.
`java.lang.String` | `getSerializedPayload()`
`java.lang.String` | `getVersion()` Get the version for the Business Service.
`boolean` | `isSerializedPayload()` Methods for dealing with starting a business process with formal params.
`void` | `setCategory(java.lang.String category)`
`void` | `setInOutFields(java.util.ArrayList<ParamField> inOutFields)`
`void` | `setInputFields(java.util.ArrayList<ParamField> inputFields)`
`void` | `setModuleName(java.lang.String moduleName)`
`void` | `setOutputFields(java.util.ArrayList<ParamField> outputFields)`
`void` | `setPayloadMode(java.lang.String payloadMode)`
`void` | `setProcessName(java.lang.String processName)`
`void` | `setSerializedPayload(boolean serializedPayload)`
`void` | `setSerializedPayload(java.lang.String payload)`
`void` | `setVersion(java.lang.String version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BusinessSeviceWithFPTemplate

    public BusinessSeviceWithFPTemplate()

### BusinessSeviceWithFPTemplate

    public BusinessSeviceWithFPTemplate(java.lang.String moduleName,
                                        java.lang.String processName,
                                        java.lang.String version,
                                        java.lang.String payloadMode,
                                        java.lang.String datafeedPayload,
                                        java.util.ArrayList<ParamField> inputFields,
                                        java.util.ArrayList<ParamField> outputFields,
                                        java.util.ArrayList<ParamField> inOutFields)

### BusinessSeviceWithFPTemplate

    public BusinessSeviceWithFPTemplate(java.lang.String moduleName,
                                        java.lang.String processName,
                                        java.lang.String version,
                                        java.lang.String category,
                                        java.lang.String payloadMode,
                                        java.lang.String datafeedPayload,
                                        java.util.ArrayList<ParamField> inputFields,
                                        java.util.ArrayList<ParamField> outputFields,
                                        java.util.ArrayList<ParamField> inOutFields)

Method Detail

### getModuleName

    public java.lang.String getModuleName()

  Description copied from interface: `IBusinessServiceTemplateWithFParams`
  Get the module name for the Business Service.

  Specified by:
    `getModuleName` in interface `IBusinessServiceTemplateWithFParams`
  Returns:
    module name of the service.

### setModuleName

    public void setModuleName(java.lang.String moduleName)

### getProcessName

    public java.lang.String getProcessName()

  Description copied from interface: `IBusinessServiceTemplateWithFParams`
  Get the process name for the Business Service.

  Specified by:
    `getProcessName` in interface `IBusinessServiceTemplateWithFParams`
  Returns:
    process name for the service.

### setProcessName

    public void setProcessName(java.lang.String processName)

### getVersion

    public java.lang.String getVersion()

  Description copied from interface: `IBusinessServiceTemplateWithFParams`
  Get the version for the Business Service.

  Specified by:
    `getVersion` in interface `IBusinessServiceTemplateWithFParams`
  Returns:
    the version of the service.

### setVersion

    public void setVersion(java.lang.String version)

### getCategory

    public java.lang.String getCategory()

  Description copied from interface: `IBusinessServiceTemplateWithFParams`
  Get the category of the Business Service.

  Specified by:
    `getCategory` in interface `IBusinessServiceTemplateWithFParams`
  Returns:
    the category of the service.

### setCategory

    public void setCategory(java.lang.String category)

### isSerializedPayload

    public boolean isSerializedPayload()

  Description copied from interface: `IBusinessServiceTemplateWithFParams`
  Methods for dealing with starting a business process with formal params.

  Specified by:
    `isSerializedPayload` in interface `IBusinessServiceTemplateWithFParams`

### setSerializedPayload

    public void setSerializedPayload(boolean serializedPayload)

### getPayloadMode

    public java.lang.String getPayloadMode()

### setPayloadMode

    public void setPayloadMode(java.lang.String payloadMode)

### getInputFields

    public java.util.ArrayList<ParamField> getInputFields()

  Specified by:
    `getInputFields` in interface `IBusinessServiceTemplateWithFParams`

### setInputFields

    public void setInputFields(java.util.ArrayList<ParamField> inputFields)

  Specified by:
    `setInputFields` in interface `IBusinessServiceTemplateWithFParams`

### getOutputFields

    public java.util.ArrayList<ParamField> getOutputFields()

  Specified by:
    `getOutputFields` in interface `IBusinessServiceTemplateWithFParams`

### setOutputFields

    public void setOutputFields(java.util.ArrayList<ParamField> outputFields)

  Specified by:
    `setOutputFields` in interface `IBusinessServiceTemplateWithFParams`

### getInOutFields

    public java.util.ArrayList<ParamField> getInOutFields()

  Specified by:
    `getInOutFields` in interface `IBusinessServiceTemplateWithFParams`

### setInOutFields

    public void setInOutFields(java.util.ArrayList<ParamField> inOutFields)

  Specified by:
    `setInOutFields` in interface `IBusinessServiceTemplateWithFParams`

### setSerializedPayload

    public void setSerializedPayload(java.lang.String payload)

  Specified by:
    `setSerializedPayload` in interface `IBusinessServiceTemplateWithFParams`

### getSerializedPayload

    public java.lang.String getSerializedPayload()

  Specified by:
    `getSerializedPayload` in interface `IBusinessServiceTemplateWithFParams`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.